# Core
db:
  redis:
    emulate: true
    namespace: EG

plugins:
  express-gateway-jwt-auth:
    package: './express-gateway-jwt-auth/manifest.js'
  
crypto:
  cipherKey: sensitiveKey
  algorithm: aes256
  saltRounds: 10

# OAuth2 Settings
session:
  secret: keyboard cat
  resave: false
  saveUninitialized: false
accessTokens:
  timeToExpiry: 7200000
refreshTokens:
  timeToExpiry: 7200000
authorizationCodes:
  timeToExpiry: 300000
